﻿package 
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.events.MouseEvent;
	import flash.geom.Point;
	import flash.utils.setInterval;

	public class Liner extends Sprite
	{
		public var balls:Array
		public function Liner()
		{
			balls = new Array();
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		
		private function addedHandler(e:Event):void
		{
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
			setInterval(buildScreen,70);
			stage.addEventListener(MouseEvent.MOUSE_MOVE,clickHandler);
		}
		private function fullhandler(e:FullScreenEvent):void
		{
			balls = new Array();
		}
		private function clickHandler(e:MouseEvent):void
		{
			var pt:Point = new Point(e.stageX,e.stageY);
			var obj:Object = {"posy":this.globalToLocal(pt).x,"posx":this.globalToLocal(pt).y,"angle":100,"rayon":(Math.random()*100 + 500),"centery":this.globalToLocal(pt).y
			};
			balls.push(obj);
			balls.sortOn(["posx"],[Array.NUMERIC]);
		}
		
		private function buildScreen():void
		{
			this.graphics.clear();
			for(var i:Number = 1;i<balls.length;i+=1){
				//graphics.beginFill(0xff0000,1);
				graphics.drawCircle(balls[i].posz,balls[i].posy,100);
				graphics.lineStyle(1.5,0x434343,0.4);
				graphics.endFill();
				//draw the lines
				if(i>0){
					graphics.moveTo(balls[i-1].posy,balls[i-1].posx);
					graphics.lineTo(balls[i].posz,balls[i].posy);
				}
				graphics.lineStyle();
				//set the new position
				balls[i].posz = balls[i].centery
//				 balls[i].poszMath.sin(balls[i].angle*Math.PI*1000+100)+balls[i].rayon;
				balls[i].angle++;
				//balls[i].angle++;
			}
		}
	}
}